<?php
	ob_start();
	require_once("../../includes/bootstrap2.php");
	require_once('../../includes/html2pdf/html2pdf.class.php'); 
	$sesion=new sesion();
	$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
	
	$colNomGrupo=$sesion->getVar('configuracion.nombres_grupos');
	$sql="SELECT
			view_datos_grupos.cod_sede,
		    view_datos_grupos.cod_grupo,
			view_datos_grupos.nom_grado
			, view_datos_grupos.$colNomGrupo as ngrupo
			, view_datos_grupos.nom_jornada
			, view_datos_grupos.nom_sede
			, COUNT(aca_estudiantesxgrupos.cod_estudiante) AS total
		FROM
		   aca_estudiantesxgrupos
			INNER JOIN view_datos_grupos 
				ON (aca_estudiantesxgrupos.cod_grupo = view_datos_grupos.cod_grupo)
		GROUP BY view_datos_grupos.cod_sede, view_datos_grupos.cod_jornada, aca_estudiantesxgrupos.cod_grupo;";

	$academia->instruccion($sql);
	$banAux='';

?>
<style>
table{
	width: 100%;
    border-collapse: collapse;
    margin: 1em 0px 1.5em;
}
table.contend {
   font-size: 12px;
}
table.legend{
   font-size: 10px;
}
th{
	text-align:center;
}
td.notas{
	font-size:10px;
}
</style>
<page backtop="120px" backbottom="1mm"  backimgy="bottom" backleft="5mm" backright="10mm" backimgw="100%" footer="date;heure;page" > 
	<page_header>
		<table align="center" cellspacing="0" style="width: 100%; text-align: center;">
            <tr>
            <td rowspan="6" style="width:20%" ><img src="../../images/logo_colegio.jpg" alt="Escudo Institución" style="width:59px; height:66px"></td>
            <td style="width:60%">República de Colombia</td>
            <td style="width:20%" rowspan="6"><img src="../../images/escudo.png" alt="Escudo de Colombia" width="70" height="75" style="width:59px; height:66px" ></td>
          </tr>
          <tr>
            <td ><span style="width:60%">Departamento del Putumayo</span></td>
          </tr>
          <tr>
            <td><span style="width:60%"><strong><?php echo EMPRESA; ?></strong></span></td>
          </tr>
          <tr>
          	<td>RECONOCIMIENTO OFICIAL SECRETARIA DE EDUCACIÓN DEPARTAMENTAL</td>
          	</tr>
          <tr>
          	<td>Decreto <?php echo DEC_COLEGIO; ?> - Resolución <?php echo RES_COLEGIO; ?></td>
          	</tr>
          <tr>
          	<td>Nit <?php echo NIT_COLEGIO; ?> - DANE <?php echo DAN_COLEGIO; ?></td>
          	</tr>
        </table>
	</page_header>
	<page_footer></page_footer>
	
	 <table class="contend" border="1" cellpadding="0" cellspacing="0" id="tbListNotasEstuRep"  style="height:auto">
		<tbody>
			<?php
				while($reg=$academia->extraer_registro()){
					if($banAux!=$reg['cod_sede']){
						/*if($banAux!=''){
							echo '</td></tr>';
							echo "</table>";
						}*/
						echo "<tr>
							<td><strong>Sede: </strong> ".$reg['nom_sede']."</td>
							<td><strong>Jornada: </strong> ".$reg['nom_jornada']."</td>
						</tr>";
						/*echo '
							<tr>
								<td colspan="2">
									<table class="contend" border="1" cellpadding="0" cellspacing="0" style="height:auto">
										<tr><th>Nombre Grupo</th><th>Total Estudiantes</th></tr>
						';*/
						$banAux=$reg['cod_sede'];
					}else{
						echo "<tr>
							<td>".$reg['nom_grado']." ".$reg['ngrupo']."</td>
							<td>".$reg['total']."</td>
						</tr>";
						
					}
				}
			?>
		</tbody>
	 </table>

</page>
 <?php 
      $content = ob_get_clean(); 
      $pdf = new HTML2PDF('P','LEGAL','es',true,'UTF-8',array(2,2,2,2));
	  $pdf->pdf->SetDisplayMode('fullwidth');   

      $pdf->WriteHTML($content); 
      $pdf->Output($nomArch.'.pdf','D'); 
	  
 ?> 
